Summary: 	Yerase's TNEF Stream Reader
Name: 		ytnef
Epoch: 		1
Version: 	1.9.2
Release: 	2%{?dist}
License: 	GPL+
Group:		Applications/Productivity
URL: 		https://github.com/Yeraze/ytnef
Source0: 	%{name}-%{version}.tar.gz
Patch0:         ytnef-pkgconfig.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake libtool
BuildRequires: 	perl-generators
Requires: 	libytnef = %{epoch}:%{version}-%{release}

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%package -n 	libytnef
Summary:        TNEF Stream Reader Library
Group:          System Environment/Libraries

%description -n	libytnef
TNEF Stream Parser Library, used by "ytnef" to decode TNEF (winmail.dat)
streams generated by Microsoft Outlook.

%package -n	libytnef-devel
Summary:        Development files for libytnef
Group:          Development/Libraries
Requires:       libytnef = %{epoch}:%{version}-%{release}

%description -n libytnef-devel
The libytnef-devel package contains libraries and header files for
developing applications that use libytnef.

%prep
%setup -q
./autogen.sh
%patch0 -p1

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make}  install DESTDIR=$RPM_BUILD_ROOT includedir=%{_includedir}/libytnef
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -n libytnef -p /sbin/ldconfig

%postun -n libytnef -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README.md ChangeLog ytnef/README.ytnefprocess
%{_bindir}/*

%files -n libytnef
%defattr(-,root,root,-)
%doc lib/doc/recurrence.txt
%{_libdir}/*.so.*

%files -n libytnef-devel
%defattr(-,root,root,-)
%{_includedir}/libytnef/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libytnef.pc

%changelog
* Tue Mar 28 2017 Andreas Bierfert <andreas.bierfert@lowlatency.de>
- 1:1.9.2-2
- include dir should be libytnef
- adjust pkgconfig

* Sat Mar 18 2017 Andreas Bierfert <andreas.bierfert@lowlatency.de>
- 1:1.9.2-1
- version upgrade
- fix cve rhbz#1431730
- merge ytnef/libytnef and add epoch

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.6-10
- Perl 5.18 rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 19 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.6-5
- fix location in ytnefprocess.pl

* Thu May 28 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.6-4
- fix perl requires

* Tue Mar 24 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.6-3
- Changed License to the same as libytnef-devel
- Macronify everything as possible.
- Included ChangeLog as part of the documentation.

* Fri Feb 13 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.6-2
- Rebuild for fedora 10

* Fri Mar 12 2004 Patrick <rpms@puzzled.xs4all.nl>
- Initial version

